Index: NEMO/branches/2019/dev_r11943_MERGE_2019/src/OCE/nemogcm.F90
===================================================================
--- NEMO/branches/2019/dev_r11943_MERGE_2019/src/OCE/nemogcm.F90	(revision 12145)
+++ NEMO/branches/2019/dev_r11943_MERGE_2019/src/OCE/nemogcm.F90	(revision 12150)
@@ -61,4 +61,5 @@
    USE diaharm        ! tidal harmonics diagnostics  (dia_harm_init routine)
    USE step           ! NEMO time-stepping                 (stp     routine)
+   USE isfstp         ! ice shelf                     (isf_stp_init routine)
    USE icbini         ! handle bergs, initialisation
    USE icbstp         ! handle bergs, calving, themodynamics and transport
@@ -432,4 +433,5 @@
          RETURN                                       ! end of initialization
       ENDIF
+      !
       
                            CALL  istate_init( Nbb, Nnn, Naa )    ! ocean initial state (Dynamics and tracers)
@@ -472,4 +474,7 @@
       !                                      ! Icebergs
                            CALL icb_init( rdt, nit000)   ! initialise icebergs instance
+
+                                                ! ice shelf
+                           CALL isf_init( Nbb, Nnn, Naa )
 
       !                                      ! Misc. options
Index: NEMO/branches/2019/dev_r11943_MERGE_2019/src/OCE/par_oce.F90
===================================================================
--- NEMO/branches/2019/dev_r11943_MERGE_2019/src/OCE/par_oce.F90	(revision 12145)
+++ NEMO/branches/2019/dev_r11943_MERGE_2019/src/OCE/par_oce.F90	(revision 12150)
@@ -27,4 +27,5 @@
    !                                   !  with the extended grids used in the under ice shelf configurations to 
    !                                   !  be used without redundant rows when the ice shelves are not in use.
+   LOGICAL       ::   ln_closea        !: (=T) special treatment of closed sea
    ! 
 
Index: NEMO/branches/2019/dev_r11943_MERGE_2019/src/OCE/step.F90
===================================================================
--- NEMO/branches/2019/dev_r11943_MERGE_2019/src/OCE/step.F90	(revision 12145)
+++ NEMO/branches/2019/dev_r11943_MERGE_2019/src/OCE/step.F90	(revision 12150)
@@ -115,9 +115,10 @@
 
       !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-      ! Update external forcing (tides, open boundaries, and surface boundary condition (including sea-ice)
+      ! Update external forcing (tides, open boundaries, ice shelf interaction and surface boundary condition (including sea-ice)
       !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
       IF( ln_tide    )   CALL sbc_tide( kstp )                        ! update tide potential
       IF( ln_apr_dyn )   CALL sbc_apr ( kstp )                        ! atmospheric pressure (NB: call before bdy_dta which needs ssh_ib) 
       IF( ln_bdy     )   CALL bdy_dta ( kstp, Nnn, kt_offset = +1 )   ! update dynamic & tracer data at open boundaries
+      IF( ln_isf     )   CALL isf_stp ( kstp, Nnn )
                          CALL sbc     ( kstp, Nbb, Nnn )              ! Sea Boundary Condition (including sea-ice)
 
@@ -237,4 +238,5 @@
                          CALL tra_sbc    ( kstp,      Nnn, ts, Nrhs )  ! surface boundary condition
       IF( ln_traqsr  )   CALL tra_qsr    ( kstp,      Nnn, ts, Nrhs )  ! penetrative solar radiation qsr
+      IF( ln_isf     )   CALL tra_isf    ( kstp,      Nnn, ts, Nrhs )  ! ice shelf heat flux
       IF( ln_trabbc  )   CALL tra_bbc    ( kstp,      Nnn, ts, Nrhs )  ! bottom heat flux
       IF( ln_trabbl  )   CALL tra_bbl    ( kstp, Nbb, Nnn, ts, Nrhs )  ! advective (and/or diffusive) bottom boundary layer scheme
Index: NEMO/branches/2019/dev_r11943_MERGE_2019/src/OCE/step_oce.F90
===================================================================
--- NEMO/branches/2019/dev_r11943_MERGE_2019/src/OCE/step_oce.F90	(revision 12145)
+++ NEMO/branches/2019/dev_r11943_MERGE_2019/src/OCE/step_oce.F90	(revision 12150)
@@ -22,5 +22,9 @@
    USE sbcwave         ! Wave intialisation
 
+   USE isf_oce         ! ice shelf boundary condition
+   USE isfstp          ! ice shelf boundary condition     (isf_stp routine)
+
    USE traqsr          ! solar radiation penetration      (tra_qsr routine)
+   USE traisf          ! ice shelf                        (tra_isf routine)
    USE trasbc          ! surface boundary condition       (tra_sbc routine)
    USE trabbc          ! bottom boundary condition        (tra_bbc routine)
